#ifndef _Horner_h
#define _Horner_h

#include <initializer_list>
#include <map>
#include <string>

class Polynomial { 
private:
	std::map<unsigned, double> _representation;
public:
	Polynomial(const std::initializer_list<std::map<unsigned, double>::value_type>&);
	double horner_method(const double) const;
	double simple_method(const double) const;
	std::string toString() const;
};

#endif
